<?xml version="1.0" encoding="UTF-8"?>
<web-app version="2.5" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
    <servlet>
        <servlet-name>action</servlet-name>
        <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
        <init-param>
            <param-name>config</param-name>
            <param-value>/WEB-INF/struts-config.xml</param-value>
        </init-param>
        <init-param>
            <param-name>debug</param-name>
            <param-value>2</param-value>
        </init-param>
        <init-param>
            <param-name>detail</param-name>
            <param-value>2</param-value>
        </init-param>
        <load-on-startup>2</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>action</servlet-name>
        <url-pattern>*.do</url-pattern>
    </servlet-mapping>
    <servlet>
        <servlet-name>Log4JInitServlet</servlet-name>
        <servlet-class>servlet.Log4JInitServlet</servlet-class>
        <init-param>
            <param-name>log4j-properties-location</param-name>
            <param-value>WEB-INF/log4j.properties</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <session-config>
        <session-timeout>
            30
        </session-timeout>
    </session-config>
    <welcome-file-list>
        <welcome-file>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</welcome-file>
    </welcome-file-list>
    <jsp-config>
        <taglib>
            <taglib-uri>/WEB-INF/tld/struts-bean.tld</taglib-uri>
            <taglib-location>/WEB-INF/tld/struts-bean.tld</taglib-location>
        </taglib>
        <taglib>
            <taglib-uri>/WEB-INF/tld/struts-html.tld</taglib-uri>
            <taglib-location>/WEB-INF/tld/struts-html.tld</taglib-location>
        </taglib>
        <taglib>
            <taglib-uri>/WEB-INF/tld/struts-logic.tld</taglib-uri>
            <taglib-location>/WEB-INF/tld/struts-logic.tld</taglib-location>
        </taglib>
        <taglib>
            <taglib-uri>/WEB-INF/tld/struts-nested.tld</taglib-uri>
            <taglib-location>/WEB-INF/tld/struts-nested.tld</taglib-location>
        </taglib>
        <taglib>
            <taglib-uri>/WEB-INF/tld/struts-tiles.tld</taglib-uri>
            <taglib-location>/WEB-INF/tld/struts-tiles.tld</taglib-location>
        </taglib>
    </jsp-config>
    <filter>
        <filter-name>CharacterEncodingFilter</filter-name>
        <filter-class>utils.CharacterEncodingFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>CharacterEncodingFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    
    <error-page>
        <error-code>400</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>401</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>402</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>403</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>404</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>405</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>406</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>407</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>408</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>409</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>410</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>411</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>412</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>413</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>414</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>415</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>416</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>417</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>418</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>419</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>420</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>421</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>422</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>423</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>424</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>425</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>426</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>427</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>428</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>429</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>500</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>501</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>502</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>503</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>504</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>505</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>506</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>507</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>508</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>509</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>510</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>511</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>598</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <error-code>599</error-code>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
    <error-page>
        <exception-type>java.lang.Throwable</exception-type>
        <location>/WEB-INF/jsp/pages/layout/sessionTimeout.jsp</location>
    </error-page>
</web-app>
